# QGLContext Class Reference

### [com.trolltech.qt.opengl package]

### Constructor

- void QGLContext(QGLFormat format)
- void QGLContext(QGLFormat format, QPaintDevice device)

### Constructor Properties

- prototype: The QGLContext prototype object
- bool areSharing(QGLContext context1, QGLContext context2)
- QGLContext currentContext()
- void setTextureCacheLimit(int size)
- int textureCacheLimit()
- NoBindOption = 0x0000
- InvertedYBindOption = 0x0001
- MipmapBindOption = 0x0002
- PremultipliedAlphaBindOption = 0x0004
- LinearFilteringBindOption = 0x0008
- DefaultBindOption = LinearFilteringBindOption|InvertedYBindOption|MipmapBindOption
- MemoryManagedBindOption = 0x0010
- InternalBindOption = MemoryManagedBindOption|PremultipliedAlphaBindOption
- CanFlipNativePixmapBindOption = 0x0020
- BindOption( value )
- BindOptions( value1, value2, ... )

### Prototype Object Properties

- bool create(QGLContext shareContext)
- QPaintDevice device()
- void doneCurrent()
- QGLFormat format()
- bool isSharing()
- bool isValid()
- void makeCurrent()
- QColor overlayTransparentColor()
- QGLFormat requestedFormat()
- void reset()
- void setFormat(QGLFormat format)
- void swapBuffers()

### Instance Properties

QGLContext objects have no special properties beyond those inherited from the QGLContext prototype object.